var apeman = require('apeman');
exports['Check all dependencies installed.'] = function (test) {
    var tasks = apeman.currentProject.tasks;
    Object.keys(tasks.installNodePackages.config.packages || {}).forEach(function (packageName) {
        try {
            require.resolve(packageName)
        } catch (e) {
            if (e) console.error(e);
            test.ifError(e);
        }
    });
    test.done();
};